import { DUActionInterceptor, DataUnitAction } from "@sankhyalabs/core";
import EzGridController from "../EzGridController";
export declare class DataSourceInterceptor implements DUActionInterceptor {
  private _controller;
  constructor(controller: EzGridController);
  private clearColumnFilter;
  interceptAction(action: DataUnitAction): DataUnitAction | Promise<DataUnitAction>;
}
